From d75f0807d3d054fba633ffef4e4785900d05de6e Mon Sep 17 00:00:00 2001
From: tbrehm <t.brehm@ispconfig.org>
Date: Sat, 2 Aug 2008 09:08:03 +0000
Subject: [PATCH] - Enabled tools module for administrator by default. -
 Updated Ubuntu installation instructions.

---
 INSTALL_UBUNTU_8.04.txt    | 70 ++++++++++++++++++++++++++++++++++++++
 install/sql/ispconfig3.sql |  2 +-
 2 files changed, 71 insertions(+), 1 deletion(-)

diff --git a/INSTALL_UBUNTU_8.04.txt b/INSTALL_UBUNTU_8.04.txt
index fd7a5fad71..d681222a67 100644
--- a/INSTALL_UBUNTU_8.04.txt
+++ b/INSTALL_UBUNTU_8.04.txt
@@ -68,6 +68,76 @@ cd mydns-1.1.0
 make
 make install
 
+Now create the start / stop script for mydns:
+
+vi /etc/init.d/mydns
+
+and enter the following lines (between the ----- lines):
+
+------------------------------------------------------
+#! /bin/sh
+#
+# mydns         Start the MyDNS server
+#
+# Author:       Philipp Kern <phil@philkern.de>.
+#               Based upon skeleton 1.9.4 by Miquel van Smoorenburg
+#               <miquels@cistron.nl> and Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/mydns
+NAME=mydns
+DESC="DNS server"
+
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+case "$1" in
+  start)
+        echo -n "Starting $DESC: $NAME"
+        start-stop-daemon --start --quiet \
+                --exec $DAEMON -- -b
+        echo "."
+        ;;
+  stop)
+        echo -n "Stopping $DESC: $NAME"
+        start-stop-daemon --stop --oknodo --quiet \
+                --exec $DAEMON
+        echo "."
+        ;;
+  reload|force-reload)
+        echo -n "Reloading $DESC configuration..."
+        start-stop-daemon --stop --signal HUP --quiet \
+                --exec $DAEMON
+        echo "done."
+        ;;
+  restart)
+        echo -n "Restarting $DESC: $NAME"
+        start-stop-daemon --stop --quiet --oknodo \
+                --exec $DAEMON
+        sleep 1
+        start-stop-daemon --start --quiet \
+                --exec $DAEMON -- -b
+        echo "."
+        ;;
+  *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0
+---------------------------------------------------------------------------
+
+now execute:
+
+chmod +x /etc/init.d/mydns
+update-rc.d mydns defaults
+
 
 6) Install vlogger and webalizer
 
diff --git a/install/sql/ispconfig3.sql b/install/sql/ispconfig3.sql
index 7946cf56be..40c2c75fd0 100644
--- a/install/sql/ispconfig3.sql
+++ b/install/sql/ispconfig3.sql
@@ -875,7 +875,7 @@ CREATE TABLE `sys_user` (
 -- Daten für Tabelle `sys_user`
 -- 
 
-INSERT INTO `sys_user` (`userid`, `sys_userid`, `sys_groupid`, `sys_perm_user`, `sys_perm_group`, `sys_perm_other`, `username`, `passwort`, `modules`, `startmodule`, `app_theme`, `typ`, `active`, `language`, `groups`, `default_group`, `client_id`) VALUES (1, 1, 0, 'riud', 'riud', '', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin,client,mail,monitor,sites,dns', 'mail', 'default', 'admin', 1, 'en', '1,2', 1, 0);
+INSERT INTO `sys_user` (`userid`, `sys_userid`, `sys_groupid`, `sys_perm_user`, `sys_perm_group`, `sys_perm_other`, `username`, `passwort`, `modules`, `startmodule`, `app_theme`, `typ`, `active`, `language`, `groups`, `default_group`, `client_id`) VALUES (1, 1, 0, 'riud', 'riud', '', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin,client,mail,monitor,sites,dns,tools', 'mail', 'default', 'admin', 1, 'en', '1,2', 1, 0);
 
 -- --------------------------------------------------------
 
-- 
GitLab